Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface BridgeDestinationCommonMBean

All Known Subinterfaces:
  BridgeDestinationMBean, JMSBridgeDestinationMBean

public interface BridgeDestinationCommonMBean
extends ConfigurationMBean

This class defines a messaging bridge destination.

Each messaging bridge consists of two destinations that are being bridged: a source destination from which messages are received, and a target destination to which messages are sent.

Field Summary
`static java.lang.String` | `JMS_XA_ADAPTER_JNDI`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getAdapterJNDIName()` Defines the JNDI name of the adapter used to communicate with the specified destination.
`java.lang.String` | `getClasspath()` Defines the `CLASSPATH` of the bridge destination, which is mainly used to connect to a different release of WebLogic JMS.
`java.lang.String` | `getUserName()` Defines an optional user name that the adapter will use to access the bridge destination.
`java.lang.String` | `getUserPassword()` Defines the user password that the adapter uses to access the bridge destination.
`void` | `setAdapterJNDIName(java.lang.String name)` Defines the JNDI name of the adapter used to communicate with the specified destination.
`void` | `setClasspath(java.lang.String classpath)` Defines the `CLASSPATH` of the bridge destination, which is mainly used to connect to a different release of WebLogic JMS.
`void` | `setUserName(java.lang.String name)` Defines an optional user name that the adapter will use to access the bridge destination.
`void` | `setUserPassword(java.lang.String password)` Defines the user password that the adapter uses to access the bridge destination.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### JMS_XA_ADAPTER_JNDI

    public static final java.lang.String JMS_XA_ADAPTER_JNDI

Method Detail

### getAdapterJNDIName

    public java.lang.String getAdapterJNDIName()

  Defines the JNDI name of the adapter used to communicate with the specified destination. This name is specified in the adapter's deployment descriptor file and is used by the WebLogic Server Connector container to bind the adapter in WebLogic Server JNDI.

### setAdapterJNDIName

    public void setAdapterJNDIName(java.lang.String name)
                            throws javax.management.InvalidAttributeValueException

  Defines the JNDI name of the adapter used to communicate with the specified destination. This name is specified in the adapter's deployment descriptor file and is used by the WebLogic Server Connector container to bind the adapter in WebLogic Server JNDI.

  Default Value: JMS_XA_ADAPTER_JNDI
  Legal Value: (value != void && value != null && value.trim().length() != 0)
  Legal NULL: false

### getUserName

    public java.lang.String getUserName()

  Defines an optional user name that the adapter will use to access the bridge destination.

  Note: All operations done to the specified destination are done using this user name and the corresponding password. Therefore, the User Name/Password for the source and target destinations must have permission to the access the underlying destinations in order for the messaging bridge to work.

### setUserName

    public void setUserName(java.lang.String name)
                     throws javax.management.InvalidAttributeValueException

  Defines an optional user name that the adapter will use to access the bridge destination.

  Note: All operations done to the specified destination are done using this user name and the corresponding password. Therefore, the User Name/Password for the source and target destinations must have permission to the access the underlying destinations in order for the messaging bridge to work.

### getUserPassword

    public java.lang.String getUserPassword()

  Defines the user password that the adapter uses to access the bridge destination.

### setUserPassword

    public void setUserPassword(java.lang.String password)
                         throws javax.management.InvalidAttributeValueException

  Defines the user password that the adapter uses to access the bridge destination.

### getClasspath

    public java.lang.String getClasspath()

  Defines the `CLASSPATH` of the bridge destination, which is mainly used to connect to a different release of WebLogic JMS.

  When connecting to a destination that is running on WebLogic Server 6.0 or earlier, the bridge destination must supply a `CLASSPATH` that indicates the locations of the classes for the earlier WebLogic Server implementation.

  Note: When connecting to a third-party JMS product, the bridge destination must supply the product's `CLASSPATH` in the WebLogic Server `CLASSPATH`.

### setClasspath

    public void setClasspath(java.lang.String classpath)
                      throws javax.management.InvalidAttributeValueException

  Defines the `CLASSPATH` of the bridge destination, which is mainly used to connect to a different release of WebLogic JMS.

  When connecting to a destination that is running on WebLogic Server 6.0 or earlier, the bridge destination must supply a `CLASSPATH` that indicates the locations of the classes for the earlier WebLogic Server implementation.

  Note: When connecting to a third-party JMS product, the bridge destination must supply the product's `CLASSPATH` in the WebLogic Server `CLASSPATH`.

  Secure Value: null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference